Open Lighting Architecture: ola::rdm::DiscoverableRDMControllerInterface Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::DiscoverableRDMControllerInterface Class Referenceabstract

## Detailed Description

The interface that can send RDM commands, as well as perform discovery operations.

Inheritance diagram for ola::rdm::DiscoverableRDMControllerInterface:

## Public Member Functions
virtual void | RunFullDiscovery (RDMDiscoveryCallback *callback)=0
| Start a full discovery operation.
virtual void | RunIncrementalDiscovery (RDMDiscoveryCallback *callback)=0
| Start an incremental discovery operation.
Public Member Functions inherited from ola::rdm::RDMControllerInterface
virtual void | SendRDMRequest (RDMRequest *request, RDMCallback *on_complete)=0
| Send a RDM command.

## Member Function Documentation

## ◆ RunFullDiscovery()

virtual void ola::rdm::DiscoverableRDMControllerInterface::RunFullDiscovery | ( | RDMDiscoveryCallback * | callback | ) |
| pure virtual

Start a full discovery operation.

Parameters

  callback | The callback run when discovery completes. This may run immediately in some implementations.

Implemented in ola::BasicOutputPort, ola::OutputPort, ola::plugin::artnet::ArtNetNodeImplRDMWrapper, ola::plugin::artnet::ArtNetOutputPort, ola::plugin::dummy::DummyPort, ola::plugin::spi::SPIOutput, ola::plugin::spi::SPIOutputPort, ola::plugin::usbdmx::JaRuleOutputPort, ola::plugin::usbdmx::JaRulePortHandle, ola::plugin::usbpro::ArduinoRGBOutputPort, ola::plugin::usbpro::ArduinoWidget, ola::plugin::usbpro::ArduinoWidgetImpl, ola::plugin::usbpro::DmxterOutputPort, ola::plugin::usbpro::DmxterWidget, ola::plugin::usbpro::DmxterWidgetImpl, ola::plugin::usbpro::DmxTriOutputPort, ola::plugin::usbpro::DmxTriWidget, ola::plugin::usbpro::DmxTriWidgetImpl, ola::plugin::usbpro::EnttecPort, ola::plugin::usbpro::EnttecPortImpl, ola::plugin::usbpro::RobeOutputPort, ola::plugin::usbpro::RobeWidget, ola::plugin::usbpro::RobeWidgetImpl, ola::plugin::usbpro::UsbProOutputPort, ola::rdm::DiscoverableRDMControllerAdaptor, ola::usb::JaRulePortHandle, and ola::usb::JaRulePortHandleImpl.

## ◆ RunIncrementalDiscovery()

virtual void ola::rdm::DiscoverableRDMControllerInterface::RunIncrementalDiscovery | ( | RDMDiscoveryCallback * | callback | ) |
| pure virtual

Start an incremental discovery operation.

Parameters

  callback | The callback run when discovery completes. This may run immediately in some implementations.

Implemented in ola::BasicOutputPort, ola::OutputPort, ola::plugin::artnet::ArtNetNodeImplRDMWrapper, ola::plugin::artnet::ArtNetOutputPort, ola::plugin::dummy::DummyPort, ola::plugin::spi::SPIOutput, ola::plugin::spi::SPIOutputPort, ola::plugin::usbdmx::JaRuleOutputPort, ola::plugin::usbdmx::JaRulePortHandle, ola::plugin::usbpro::ArduinoRGBOutputPort, ola::plugin::usbpro::ArduinoWidget, ola::plugin::usbpro::ArduinoWidgetImpl, ola::plugin::usbpro::DmxterOutputPort, ola::plugin::usbpro::DmxterWidget, ola::plugin::usbpro::DmxterWidgetImpl, ola::plugin::usbpro::DmxTriOutputPort, ola::plugin::usbpro::DmxTriWidget, ola::plugin::usbpro::DmxTriWidgetImpl, ola::plugin::usbpro::EnttecPort, ola::plugin::usbpro::EnttecPortImpl, ola::plugin::usbpro::RobeOutputPort, ola::plugin::usbpro::RobeWidget, ola::plugin::usbpro::RobeWidgetImpl, ola::plugin::usbpro::UsbProOutputPort, ola::rdm::DiscoverableRDMControllerAdaptor, ola::usb::JaRulePortHandle, and ola::usb::JaRulePortHandleImpl.

The documentation for this class was generated from the following file:

- include/ola/rdm/RDMControllerInterface.h